Extending Qt Creator Manual | TypeScope

Extending Qt Creator Manual 4.5.2

# TypeScope Class

(QmlJS::TypeScope)

Inherits: | QmlJS::ObjectValue

- List of all members, including inherited members

## Public Functions

| TypeScope(const Imports *imports, ValueOwner *valueOwner)

## Reimplemented Public Functions

virtual const TypeScope * | asTypeScope() const override
virtual const Value * | lookupMember(const QString &name, const Context *context, const ObjectValue **foundInObject = 0, bool examinePrototypes = true) const override
virtual void | processMembers(MemberProcessor *processor) const override

- 16 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### TypeScope::TypeScope(const Imports *imports, ValueOwner *valueOwner)

Default constructs an instance of TypeScope.

### `[override virtual]` const TypeScope *TypeScope::asTypeScope() const

### `[override virtual]` const Value *TypeScope::lookupMember(const QString &name, const Context *context, const ObjectValue **foundInObject = 0, bool examinePrototypes = true) const

### `[override virtual]` void TypeScope::processMembers(MemberProcessor *processor) const